Subject: Re: bug#54158: 28.0.91; duplicate mail downloads in Gnus (IMAP)

From: Roland Winkler <[email-masked]>
Date: Fri, 18 Mar 2022 11:09:50 -0500

On Sat, Mar 12 2022, Roland Winkler wrote:
> I was always surprised that the duplicate emails are "mostly spam".
> Previously, I sent you my settting of `mail-sources'.  I changed the
> line
>
>   :mailbox ("INBOX" "JUNK EMAIL")
>
> to
>
>   :mailbox ("JUNK EMAIL" "INBOX")
>
> Strange enough, I didn't observe any duplicate message downloads when I
> tested this for a few days.

One more observation:

The bug appears to be related to :mailbox being a list of folders.
I just installed a rule on the IMAP server that puts part of my regular
incoming mail in another folder FOO.  Now downloading the messages from
the IMAP folder FOO into Gnus gives me more duplicates.  Any IMAP folder
beyond INBOX appears to show this behavior.